scala.tools.nsc.backend.jvm.GenASM.JPlainBuilder

# jcode

#### object jcode

Just a namespace for utilities that encapsulate MethodVisitor idioms. In the ASM world, org.objectweb.asm.commons.InstructionAdapter plays a similar role, but the methods here allow choosing when to transition from ICode to ASM types (including not at all, e.g. for performance).

Source
  GenASM.scala

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. jcode
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def add(tk: Global.icodes.TypeKind): Unit

5. #### val addOpcodes: Array[Int]

6. #### def aload(tk: Global.icodes.TypeKind): Unit

7. #### val aloadOpcodes: Array[Int]

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### def astore(tk: Global.icodes.TypeKind): Unit

10. #### val astoreOpcodes: Array[Int]

11. #### final def boolconst(b: Boolean): Unit

12. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

13. #### def dconst(cst: Double): Unit

14. #### def div(tk: Global.icodes.TypeKind): Unit

15. #### val divOpcodes: Array[Int]

16. #### def emitIF(cond: Global.icodes.TestOp, label: Label): Unit

17. #### def emitIFNONNULL(label: Label): Unit

18. #### def emitIFNULL(label: Label): Unit

19. #### def emitIF_ACMP(cond: Global.icodes.TestOp, label: Label): Unit

20. #### def emitIF_ICMP(cond: Global.icodes.TestOp, label: Label): Unit

21. #### def emitPrimitive(opcs: Array[Int], tk: Global.icodes.TypeKind): Unit

22. #### def emitRETURN(tk: Global.icodes.TypeKind): Unit

23. #### def emitSWITCH(keys: Array[Int], branches: Array[Label], defaultBranch: Label, minDensity: Double): Unit

    Emits one of tableswitch or lookoupswitch.

24. #### def emitTypeBased(opcs: Array[Int], tk: Global.icodes.TypeKind): Unit

25. #### def emitVarInsn(opc: Int, idx: Int, tk: Global.icodes.TypeKind): Unit

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def fconst(cst: Float): Unit

29. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def goTo(label: Label): Unit

32. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

33. #### def iconst(cst: Int): Unit

34. #### def iconst(cst: Char): Unit

35. #### def invokeinterface(owner: String, name: String, desc: String): Unit

36. #### def invokespecial(owner: String, name: String, desc: String): Unit

37. #### def invokestatic(owner: String, name: String, desc: String): Unit

38. #### def invokevirtual(owner: String, name: String, desc: String): Unit

39. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

40. #### def lconst(cst: Long): Unit

41. #### def load(idx: Int, tk: Global.icodes.TypeKind): Unit

42. #### def mul(tk: Global.icodes.TypeKind): Unit

43. #### val mulOpcodes: Array[Int]

44. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

45. #### def neg(tk: Global.icodes.TypeKind): Unit

46. #### val negOpcodes: Array[Int]

47. #### def newarray(elem: Global.icodes.TypeKind): Unit

48. #### final def notify(): Unit

    Definition Classes
      AnyRef

49. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

50. #### def rem(tk: Global.icodes.TypeKind): Unit

51. #### val remOpcodes: Array[Int]

52. #### val returnOpcodes: Array[Int]

53. #### def store(idx: Int, tk: Global.icodes.TypeKind): Unit

54. #### def sub(tk: Global.icodes.TypeKind): Unit

55. #### val subOpcodes: Array[Int]

56. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

57. #### def toString(): String

    Definition Classes
      AnyRef → Any

58. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

60. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped